spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Protected Attributes | List of all members
spot::timer Class Reference

`#include <spot/misc/timer.hh>`

Collaboration diagram for spot::timer:

## Public Member Functions
void | start ()
| Start a time interval. More...
void | stop ()
| Stop a time interval and update the sum of all intervals. More...
clock_t | utime () const
| Return the user time of the current process (without children) of all accumulated interval. More...
clock_t | cutime () const
| Return the user time of children of all accumulated interval. More...
clock_t | stime () const
| Return the system time of the current process (whithout children) of all accumulated interval. More...
clock_t | cstime () const
| Return the system time of children of all accumulated interval. More...
clock_t | get_uscp (bool user, bool system, bool children, bool parent) const
bool | is_running () const
| Whether the timer is running. More...

## Protected Attributes
time_info | start_
time_info | total_
bool | running

## Detailed Description

A timekeeper that accumulate interval of time in a more detailed way. For instance, you can get the time spent with or without children processes.

## Member Function Documentation

clock_t spot::timer::cstime | ( |  | ) | const
| inline

Return the system time of children of all accumulated interval.

Any time interval that has been start()ed but not stop()ed will not be accounted for.

clock_t spot::timer::cutime | ( |  | ) | const
| inline

Return the user time of children of all accumulated interval.

Any time interval that has been start()ed but not stop()ed will not be accounted for.

bool spot::timer::is_running | ( |  | ) | const
| inline

Whether the timer is running.

void spot::timer::start | ( |  | ) |
| inline

Start a time interval.

clock_t spot::timer::stime | ( |  | ) | const
| inline

Return the system time of the current process (whithout children) of all accumulated interval.

Any time interval that has been start()ed but not stop()ed will not be accounted for.

void spot::timer::stop | ( |  | ) |
| inline

Stop a time interval and update the sum of all intervals.

clock_t spot::timer::utime | ( |  | ) | const
| inline

Return the user time of the current process (without children) of all accumulated interval.

Any time interval that has been start()ed but not stop()ed will not be accounted for.

The documentation for this class was generated from the following file:

- spot/misc/timer.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.